Changeset 2664


Ignore:
Timestamp:
Dec 1, 2012 1:38:42 PM (8 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/configure

    r2649 r2664  
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
     1089  --enable-static-standardlibs
     1090                          whether to link against static standard libraries
     1091                          (libgcc, libgfortran, libstdc++)
    10891092  --disable-pkg-config    disable use of pkg-config (if available)
    10901093  --disable-interpackage-dependencies
     
    19411944
    19421945
     1946# check whether to add flags for static linking against standard libraries
     1947# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1948if test "${enable_static_standardlibs+set}" = set; then
     1949  enableval="$enable_static_standardlibs"
     1950  case "$enableval" in
     1951     no | yes | auto ) ;;
     1952     *)
     1953       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1954echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1955   { (exit 1); exit 1; }; } ;;
     1956   esac
     1957   use_static_standardlibs=$enableval
     1958else
     1959  if test $enable_shared = yes ; then
     1960     use_static_standardlibs = no
     1961   else
     1962     use_static_standardlibs = auto
     1963   fi
     1964
     1965
     1966fi;
     1967
     1968
     1969
     1970
     1971
    19431972
    19441973ac_ext=c
     
    30643093    CFLAGS="$OPT_CFLAGS"
    30653094  fi
     3095
    30663096else
    30673097  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32323262esac
    32333263
     3264# check whether to add flags for static linking against standard libraries to LDFLAGS
     3265if test x$use_static_standardlibs != xno ; then
     3266  case $build in
     3267    *-mingw*)
     3268      static_standardlib_flag=-static
     3269      ;;
     3270    *)
     3271      static_standardlib_flag=-static-libgcc
     3272      ;;
     3273  esac
     3274  case " $LDFLAGS " in
     3275    *" $static_standardlib_flag "* ) ;;
     3276    *)
     3277    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3278echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3279    coin_save_LDFLAGS="$LDFLAGS"
     3280    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3281    cat >conftest.$ac_ext <<_ACEOF
     3282/* confdefs.h.  */
     3283_ACEOF
     3284cat confdefs.h >>conftest.$ac_ext
     3285cat >>conftest.$ac_ext <<_ACEOF
     3286/* end confdefs.h.  */
     3287
     3288int
     3289main ()
     3290{
     3291int i=0;
     3292  ;
     3293  return 0;
     3294}
     3295_ACEOF
     3296rm -f conftest.$ac_objext conftest$ac_exeext
     3297if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3298  (eval $ac_link) 2>conftest.er1
     3299  ac_status=$?
     3300  grep -v '^ *+' conftest.er1 >conftest.err
     3301  rm -f conftest.er1
     3302  cat conftest.err >&5
     3303  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3304  (exit $ac_status); } &&
     3305         { ac_try='test -z "$ac_c_werror_flag"
     3306                         || test ! -s conftest.err'
     3307  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3308  (eval $ac_try) 2>&5
     3309  ac_status=$?
     3310  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3311  (exit $ac_status); }; } &&
     3312         { ac_try='test -s conftest$ac_exeext'
     3313  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3314  (eval $ac_try) 2>&5
     3315  ac_status=$?
     3316  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3317  (exit $ac_status); }; }; then
     3318  echo "$as_me:$LINENO: result: yes" >&5
     3319echo "${ECHO_T}yes" >&6
     3320else
     3321  echo "$as_me: failed program was:" >&5
     3322sed 's/^/| /' conftest.$ac_ext >&5
     3323
     3324echo "$as_me:$LINENO: result: no" >&5
     3325echo "${ECHO_T}no" >&6
     3326       LDFLAGS="$coin_save_LDFLAGS"
     3327       if test $use_static_standardlibs = yes ; then
     3328         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3329echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3330   { (exit 1); exit 1; }; }
     3331       fi
     3332
     3333fi
     3334rm -f conftest.err conftest.$ac_objext \
     3335      conftest$ac_exeext conftest.$ac_ext
     3336    ;;
     3337  esac
     3338fi
     3339
    32343340ac_ext=c
    32353341ac_cpp='$CPP $CPPFLAGS'
     
    32523358  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    32533359 esac
     3360
    32543361
    32553362
     
    34673574
    34683575# Provide some information about the compiler.
    3469 echo "$as_me:3469:" \
     3576echo "$as_me:3576:" \
    34703577     "checking for Fortran 77 compiler version" >&5
    34713578ac_compiler=`set X $ac_compile; echo $2`
     
    38343941    FFLAGS="$OPT_FFLAGS"
    38353942  fi
     3943
    38363944else
    38373945  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39764084esac
    39774085
     4086# check whether to add flag for static linking against standard libraries to LDFLAGS
     4087if test x$use_static_standardlibs != xno ; then
     4088  case $build in
     4089    *-mingw*)
     4090      static_standardlib_flag=-static
     4091      ;;
     4092    *)
     4093      static_standardlib_flag=-static-libgfortran
     4094      ;;
     4095  esac
     4096  case " $LDFLAGS " in
     4097    *" $static_standardlib_flag "* ) ;;
     4098    *)
     4099    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4100echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4101    coin_save_LDFLAGS="$LDFLAGS"
     4102    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4103    cat >conftest.$ac_ext <<_ACEOF
     4104      program main
     4105      integer i
     4106      end
     4107_ACEOF
     4108rm -f conftest.$ac_objext conftest$ac_exeext
     4109if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4110  (eval $ac_link) 2>conftest.er1
     4111  ac_status=$?
     4112  grep -v '^ *+' conftest.er1 >conftest.err
     4113  rm -f conftest.er1
     4114  cat conftest.err >&5
     4115  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4116  (exit $ac_status); } &&
     4117         { ac_try='test -z "$ac_f77_werror_flag"
     4118                         || test ! -s conftest.err'
     4119  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4120  (eval $ac_try) 2>&5
     4121  ac_status=$?
     4122  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4123  (exit $ac_status); }; } &&
     4124         { ac_try='test -s conftest$ac_exeext'
     4125  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4126  (eval $ac_try) 2>&5
     4127  ac_status=$?
     4128  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4129  (exit $ac_status); }; }; then
     4130  echo "$as_me:$LINENO: result: yes" >&5
     4131echo "${ECHO_T}yes" >&6
     4132else
     4133  echo "$as_me: failed program was:" >&5
     4134sed 's/^/| /' conftest.$ac_ext >&5
     4135
     4136echo "$as_me:$LINENO: result: no" >&5
     4137echo "${ECHO_T}no" >&6
     4138       LDFLAGS="$coin_save_LDFLAGS"
     4139       if test $use_static_standardlibs = yes ; then
     4140         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4141echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4142   { (exit 1); exit 1; }; }
     4143       fi
     4144
     4145fi
     4146rm -f conftest.err conftest.$ac_objext \
     4147      conftest$ac_exeext conftest.$ac_ext
     4148    ;;
     4149  esac
     4150fi
     4151
    39784152ac_ext=c
    39794153ac_cpp='$CPP $CPPFLAGS'
     
    40384212ac_save_FFLAGS=$FFLAGS
    40394213FFLAGS="$FFLAGS $ac_verb"
    4040 (eval echo $as_me:4040: \"$ac_link\") >&5
     4214(eval echo $as_me:4214: \"$ac_link\") >&5
    40414215ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40424216echo "$ac_f77_v_output" >&5
     
    41164290ac_save_FFLAGS=$FFLAGS
    41174291FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4118 (eval echo $as_me:4118: \"$ac_link\") >&5
     4292(eval echo $as_me:4292: \"$ac_link\") >&5
    41194293ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41204294echo "$ac_f77_v_output" >&5
     
    1011910293*-*-irix6*)
    1012010294  # Find out which ABI we are using.
    10121   echo '#line 10121 "configure"' > conftest.$ac_ext
     10295  echo '#line 10295 "configure"' > conftest.$ac_ext
    1012210296  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1012310297  (eval $ac_compile) 2>&5
     
    1259612770   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1259712771   -e 's:$: $lt_compiler_flag:'`
    12598    (eval echo "\"\$as_me:12598: $lt_compile\"" >&5)
     12772   (eval echo "\"\$as_me:12772: $lt_compile\"" >&5)
    1259912773   (eval "$lt_compile" 2>conftest.err)
    1260012774   ac_status=$?
    1260112775   cat conftest.err >&5
    12602    echo "$as_me:12602: \$? = $ac_status" >&5
     12776   echo "$as_me:12776: \$? = $ac_status" >&5
    1260312777   if (exit $ac_status) && test -s "$ac_outfile"; then
    1260412778     # The compiler can only warn and ignore the option if not recognized
     
    1286413038   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1286513039   -e 's:$: $lt_compiler_flag:'`
    12866    (eval echo "\"\$as_me:12866: $lt_compile\"" >&5)
     13040   (eval echo "\"\$as_me:13040: $lt_compile\"" >&5)
    1286713041   (eval "$lt_compile" 2>conftest.err)
    1286813042   ac_status=$?
    1286913043   cat conftest.err >&5
    12870    echo "$as_me:12870: \$? = $ac_status" >&5
     13044   echo "$as_me:13044: \$? = $ac_status" >&5
    1287113045   if (exit $ac_status) && test -s "$ac_outfile"; then
    1287213046     # The compiler can only warn and ignore the option if not recognized
     
    1296813142   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1296913143   -e 's:$: $lt_compiler_flag:'`
    12970    (eval echo "\"\$as_me:12970: $lt_compile\"" >&5)
     13144   (eval echo "\"\$as_me:13144: $lt_compile\"" >&5)
    1297113145   (eval "$lt_compile" 2>out/conftest.err)
    1297213146   ac_status=$?
    1297313147   cat out/conftest.err >&5
    12974    echo "$as_me:12974: \$? = $ac_status" >&5
     13148   echo "$as_me:13148: \$? = $ac_status" >&5
    1297513149   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1297613150   then
     
    1538515559  lt_status=$lt_dlunknown
    1538615560  cat > conftest.$ac_ext <<EOF
    15387 #line 15387 "configure"
     15561#line 15561 "configure"
    1538815562#include "confdefs.h"
    1538915563
     
    1548515659  lt_status=$lt_dlunknown
    1548615660  cat > conftest.$ac_ext <<EOF
    15487 #line 15487 "configure"
     15661#line 15661 "configure"
    1548815662#include "confdefs.h"
    1548915663
     
    1784518019   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1784618020   -e 's:$: $lt_compiler_flag:'`
    17847    (eval echo "\"\$as_me:17847: $lt_compile\"" >&5)
     18021   (eval echo "\"\$as_me:18021: $lt_compile\"" >&5)
    1784818022   (eval "$lt_compile" 2>conftest.err)
    1784918023   ac_status=$?
    1785018024   cat conftest.err >&5
    17851    echo "$as_me:17851: \$? = $ac_status" >&5
     18025   echo "$as_me:18025: \$? = $ac_status" >&5
    1785218026   if (exit $ac_status) && test -s "$ac_outfile"; then
    1785318027     # The compiler can only warn and ignore the option if not recognized
     
    1794918123   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1795018124   -e 's:$: $lt_compiler_flag:'`
    17951    (eval echo "\"\$as_me:17951: $lt_compile\"" >&5)
     18125   (eval echo "\"\$as_me:18125: $lt_compile\"" >&5)
    1795218126   (eval "$lt_compile" 2>out/conftest.err)
    1795318127   ac_status=$?
    1795418128   cat out/conftest.err >&5
    17955    echo "$as_me:17955: \$? = $ac_status" >&5
     18129   echo "$as_me:18129: \$? = $ac_status" >&5
    1795618130   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1795718131   then
     
    1951919693   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1952019694   -e 's:$: $lt_compiler_flag:'`
    19521    (eval echo "\"\$as_me:19521: $lt_compile\"" >&5)
     19695   (eval echo "\"\$as_me:19695: $lt_compile\"" >&5)
    1952219696   (eval "$lt_compile" 2>conftest.err)
    1952319697   ac_status=$?
    1952419698   cat conftest.err >&5
    19525    echo "$as_me:19525: \$? = $ac_status" >&5
     19699   echo "$as_me:19699: \$? = $ac_status" >&5
    1952619700   if (exit $ac_status) && test -s "$ac_outfile"; then
    1952719701     # The compiler can only warn and ignore the option if not recognized
     
    1962319797   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1962419798   -e 's:$: $lt_compiler_flag:'`
    19625    (eval echo "\"\$as_me:19625: $lt_compile\"" >&5)
     19799   (eval echo "\"\$as_me:19799: $lt_compile\"" >&5)
    1962619800   (eval "$lt_compile" 2>out/conftest.err)
    1962719801   ac_status=$?
    1962819802   cat out/conftest.err >&5
    19629    echo "$as_me:19629: \$? = $ac_status" >&5
     19803   echo "$as_me:19803: \$? = $ac_status" >&5
    1963019804   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1963119805   then
     
    2183022004   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2183122005   -e 's:$: $lt_compiler_flag:'`
    21832    (eval echo "\"\$as_me:21832: $lt_compile\"" >&5)
     22006   (eval echo "\"\$as_me:22006: $lt_compile\"" >&5)
    2183322007   (eval "$lt_compile" 2>conftest.err)
    2183422008   ac_status=$?
    2183522009   cat conftest.err >&5
    21836    echo "$as_me:21836: \$? = $ac_status" >&5
     22010   echo "$as_me:22010: \$? = $ac_status" >&5
    2183722011   if (exit $ac_status) && test -s "$ac_outfile"; then
    2183822012     # The compiler can only warn and ignore the option if not recognized
     
    2209822272   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2209922273   -e 's:$: $lt_compiler_flag:'`
    22100    (eval echo "\"\$as_me:22100: $lt_compile\"" >&5)
     22274   (eval echo "\"\$as_me:22274: $lt_compile\"" >&5)
    2210122275   (eval "$lt_compile" 2>conftest.err)
    2210222276   ac_status=$?
    2210322277   cat conftest.err >&5
    22104    echo "$as_me:22104: \$? = $ac_status" >&5
     22278   echo "$as_me:22278: \$? = $ac_status" >&5
    2210522279   if (exit $ac_status) && test -s "$ac_outfile"; then
    2210622280     # The compiler can only warn and ignore the option if not recognized
     
    2220222376   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2220322377   -e 's:$: $lt_compiler_flag:'`
    22204    (eval echo "\"\$as_me:22204: $lt_compile\"" >&5)
     22378   (eval echo "\"\$as_me:22378: $lt_compile\"" >&5)
    2220522379   (eval "$lt_compile" 2>out/conftest.err)
    2220622380   ac_status=$?
    2220722381   cat out/conftest.err >&5
    22208    echo "$as_me:22208: \$? = $ac_status" >&5
     22382   echo "$as_me:22382: \$? = $ac_status" >&5
    2220922383   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2221022384   then
Note: See TracChangeset for help on using the changeset viewer.